import 'package:flutter/material.dart';

class FimCommonUtil {
  ///分页算法
  static int claculatePageCount(int totalCount, int pageSize) {
    return (totalCount + pageSize - 1) ~/ pageSize;
  }

  ///分割数组
  static List splitList(List items, int subSize) {
    int index = 0;
    var bigRes = [];

    for (var i = 0; i < items.length; i++) {
      if (i % subSize == 0 && i != 0) {
        // 可以被 size 整除
        bigRes.add(items.sublist(index, i));
        index = i;
      }
      if ((i + 1) == items.length) {
        bigRes.add(items.sublist(index, (i + 1)));
      }
    }
    return bigRes;
  }

  ///设置cell圆角
  static BorderRadius getItemCellBorderRadius(int itemCount, int index,
      {double radius = 12}) {
    Radius topLeft = Radius.zero;
    Radius topRight = Radius.zero;
    Radius bottomLeft = Radius.zero;
    Radius bottomRight = Radius.zero;
    if (index == 0) {
      topLeft = topRight = Radius.circular(radius);

      ///if only one item
      if (index == itemCount - 1) {
        bottomLeft = bottomRight = Radius.circular(radius);
      }
    } else if (index == itemCount - 1) {
      bottomLeft = bottomRight = Radius.circular(radius);
    } else {}
    BorderRadius borderRadius = BorderRadius.only(
      topLeft: topLeft,
      topRight: topRight,
      bottomLeft: bottomLeft,
      bottomRight: bottomRight,
    );

    return borderRadius;
  }
}
