import 'dart:convert';

import 'package:flutter/services.dart';

class FimLoadData {
  /// 加载本地Json数据
  static Future<FimResultData> loadJson(String jsonPath) async {
    FimResultData res;
    try {
      String responseString = await rootBundle.loadString(jsonPath);
      if (responseString == null || responseString.isEmpty) {
        res = FimResultData(null, false, 666);
      } else {
        var data = json.decode(responseString);
        if (data == null) {
          res = FimResultData(null, false, 0);
        } else {
          res = FimResultData(data, true, 200);
        }
      }
    } catch (e) {
      print(e);
      res = FimResultData(null, false, 0);
    }
    return res;
  }
}

/**
 * 网络结果数据
 * Created by guoshuyu
 * Date: 2018-07-16
 */
class FimResultData {
  var data;
  bool result;
  int code;
  FimResultData(this.data, this.result, this.code);
}





